#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#	Nécessite xmllint : sudo apt install libxml2-utils
#


APP_NAME="vmap"

# Récupère la liste des dépendances
. ./get_deps.sh

cd ..
if [ -d "$(pwd)/src" ]; then
	git rm -r src
fi
mkdir src

if [[ $depsCount > 0 ]]; then

	# Vitis
	echo "---- Init vitis ----"
	git submodule add -f -b $vitisVersion "git@gitlab.veremes.net:Development/vitis_apps/sources/vitis.git" src/vitis

	echo "---- Init conf ----"
	git submodule add -f -b master "git@gitlab.veremes.net:Development/vitis_apps/sources/closure.git" src/closure

	# Modules
	for (( i=1; i <= $depsCount; i++ )); do
		if [ ${aDeps[$i, nature]} == "modules" ]; then
			echo "---- Init ${aDeps[$i, name]} : ${aDeps[$i, version]}----"

		    # Ajoute le dépôt
			git submodule add -f -b ${aDeps[$i, version]} "git@gitlab.veremes.net:Development/vitis_apps/sources/${aDeps[$i, name]}.git" src/${aDeps[$i, name]}

			# checkout sur la bonne branche
			(cd src/${aDeps[$i, name]};git checkout ${aDeps[$i, version]})
		fi
	done

fi
